共用方式為


復原叢集升級 v82

復原 Service Fabric 叢集的升級。

復原 Service Fabric 叢集的程式碼或設定升級。

要求

方法 要求 URI
POST /$/RollbackUpgrade?api-version=6.0&timeout={timeout}

參數

名稱 類型 必要 Location
api-version 字串 查詢
timeout 整數 (int64) No 查詢

api-version

類型:字串
必要:是
預設6.0

API 的版本。 這是必要參數,其值必須是 '6.0'。

Service Fabric REST API 版本是以導入或變更 API 的執行時間版本為基礎。 Service Fabric 執行時間支援多個版本的 API。 這是 API 的最新支援版本。 如果傳遞較低的 API 版本,傳回的回應可能與此規格中所述的回應不同。

此外,執行時間會接受高於最新支援版本的任何版本,最高為目前版本的執行時間。 因此,如果最新的 API 版本是 6.0,但如果執行時間是 6.1,為了更容易撰寫用戶端,執行時間將會接受該 API 6.1 版。 不過,API 的行為會根據記載的 6.0 版本。


timeout

類型:整數 (int64)
必要:否
預設60
InclusiveMaximum4294967295
InclusiveMinimum1

用來執行作業的伺服器逾時 (以秒為單位)。 此逾時指定了用戶端願意等候要求作業完成的持續時間。 這個參數的預設值是 60 秒。

回應

HTTP 狀態碼 描述 回應結構描述
202 (已接受) 成功的回應表示已起始叢集升級的復原。
所有其他狀態碼 詳細的錯誤回應。
FabricError